summaryrefslogtreecommitdiffstats
path: root/system-config/components/0060-locales-all
diff options
context:
space:
mode:
Diffstat (limited to 'system-config/components/0060-locales-all')
-rwxr-xr-xsystem-config/components/0060-locales-all60
1 files changed, 60 insertions, 0 deletions
diff --git a/system-config/components/0060-locales-all b/system-config/components/0060-locales-all
new file mode 100755
index 0000000..e7a12ac
--- /dev/null
+++ b/system-config/components/0060-locales-all
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+ # Reading kernel command line
+ for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-config.locales=*|locales=*)
+ LIVE_LOCALES="${_PARAMETER#*locales=}"
+ ;;
+ esac
+ done
+}
+
+Init ()
+{
+ # Checking if package is installed or already configured
+ if [ ! -e /var/lib/dpkg/info/locales-all.list ] || \
+ [ -e /var/lib/live/config/locales-all ]
+ then
+ exit 0
+ fi
+
+ echo -n " locales-all"
+}
+
+Config ()
+{
+ if [ -n "${LIVE_LOCALES}" ]
+ then
+ LIVE_LOCALES="$(echo ${LIVE_LOCALES} | awk -F, '{ print $1 }')"
+ else
+ LIVE_LOCALES="en_US.UTF-8"
+ fi
+
+ if [ -e /etc/progress-linux_version ]
+ then
+ sed -i -e "s|^ *export LANG=.*|export LANG=\"${LIVE_LOCALES}\"|" /etc/profile
+ else
+ printf 'export LANG="%s"\n' "${_LOCALE}" > /etc/profile.d/zz-live-config_locales-all.sh
+ fi
+
+ # Creating state file
+ touch /var/lib/live/config/locales-all
+}
+
+Cmdline
+Init
+Config